add LP id to TODO item
[debian/bti.git] / debian / changelog
1 bti (032-2) UNRELEASED; urgency=low
2
3   TODO: switch back to libcurl4-gnutls-dev (versioned build-dep on
4   liboauth-dev?), after #650138 / #639565 + wheezy
5   LP: #1072720
6
7   * Update Vcs-* headers.
8   * debian/watch: update after github URL schema change.
9
10  -- gregor herrmann <gregoa@debian.org>  Sun, 08 Jan 2012 20:55:07 +0100
11
12 bti (032-1) unstable; urgency=low
13
14   * New upstream release
15   * debian/watch: use github redirector, there are no released tarballs at the
16     moment.
17   * The tarball from github doesn't ship a configure script; use
18     dh-autoreconf.
19   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
20     included upstream).
21
22  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
23
24 bti (031-4) unstable; urgency=low
25
26   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
27     conflict with each other, and liboauth-dev now requires the former.
28     (Fixes a not-yet-detected FTBFS.)
29
30  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
31
32 bti (031-3) unstable; urgency=low
33
34   * Add patch to output the correct configfile name (identi.ca/OAuth/access
35     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
36
37  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
38
39 bti (031-2) unstable; urgency=low
40
41   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
42     URI's to point to https instead of http (closes: #602507).
43   * Set Standards-Version to 3.9.2 (no changes).
44   * Improve long description.
45
46  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
47
48 bti (031-1) unstable; urgency=low
49
50   * New upstream release:
51     - addresses "bti doesn't warn if the password is incorrect": check server
52       replies in non-background mode, only in non-OAuth mode
53       (partly solves #602502)
54
55  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
56
57 bti (030-1) unstable; urgency=low
58
59   * New upstream release.
60   * Switch to debhelper 8.
61
62  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
63
64 bti (029-2) unstable; urgency=low
65
66   * Upload to unstable.
67
68  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
69
70 bti (029-1) experimental; urgency=low
71
72   * New upstream release: includes fixes for
73     + "the --dry-run option has no effect (tweets get posted anyway)
74        with OAuth" (closes: #608608)
75     + "--replyto doesn't work with OAuth" (closes: #608112)
76   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
77     description and add a patch to change the name in the manpage and the
78     example config; thanks to Julien Valroff for the bug report
79     (closes: #605407).
80   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
81     upstream.
82   * Refresh remaining patches.
83   * debian/copyright: update years of upstream and packaging copyright; update
84     formatting.
85   * Don't install README anymore.
86   * Upload to experimental because of the freeze.
87
88  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
89
90 bti (028-2) unstable; urgency=low
91
92   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
93     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
94     request_token URI in order to make OAuth work with identi.ca
95     (closes: #602507).
96   * Minor fixes in README.Debian.
97
98  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
99
100 bti (028-1) unstable; urgency=low
101
102   * New upstream release:
103     - support for replying to notices
104     - adds OAuth support for both twitter and identi.ca (closes: #588235)
105     - split --background from --bash, and make the latter imply the former
106   * Refresh manpage-debian.patch.
107   * Set Standards-Version to 3.9.1 (no changes).
108   * Add build dependency on liboauth-dev.
109   * debian/rules: switch order of dh arguments (preparation for dh8).
110   * debian/copyright: update years of upstream copyright.
111   * Add README.Debian about OAuth usage.
112
113  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
114
115 bti (026-1) unstable; urgency=low
116
117   * Bump build dependency on bash-completion (needed for --with
118     bash-completion in debian/rules).
119
120   * New upstream release.
121   * Refresh patch manpage-debian.patch and DEP3 patch headers.
122   * debian/copyright: refresh DEP5 header, update years of packaging
123     copyright.
124   * Set Standards-Version to 3.8.4 (no changes).
125   * Convert to source format 3.0 (quilt). Remove quilt framework.
126     Lower debhelper dependency.
127
128  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
129
130 bti (025-1) unstable; urgency=low
131
132   * New upstream release: 
133     - set default host to twitter (closes: #563098)
134     - mention correct host in prompts (closes: #563099)
135
136  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
137
138 bti (024-1) unstable; urgency=low
139
140   * New upstream release:
141     - do not display password while user types it (LP: #386525)
142     - disable echo when reading the password
143     - add laconica group support
144   * debian/control: add Homepage field and adjust long description.
145   * Use "--with bash-completion" in debian/rules to install bash-completion
146     snippet; bump build dependencies on debhelper and bash-completion in
147     debian/control.
148
149  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
150
151 bti (023-2) unstable; urgency=low
152
153   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
154     Matthias Klose for the pointer.
155   * Set Standards-Version to 3.8.3 (no changes).
156   * Add debian/README.source to document quilt usage.
157   * Simplify debian/rules, adjust versioned build dependencies on debhelper
158     and quilt in debian/control.
159   * Use dh_bash-completion for installing the completion snippet; adjust
160     debian/rules, add a versioned build dependency on bash-completion.
161
162  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
163
164 bti (023-1) unstable; urgency=low
165
166   * New upstream release, main changes:
167     - new 'verbose' mode
168     - SSL also for twitter
169   * debian/copyright: add new additional copyright holder.
170   * Refresh patch manpage-debian.patch.
171   * debian/control: mention additional actions in long description.
172
173  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
174
175 bti (022-1) unstable; urgency=low
176
177   * New upstream release, main changes:
178     - support for custim laconi.ca instances
179     - use SSL for identi.ca
180   * debian/copyright: add additional copyright holder.
181
182  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
183
184 bti (021-1) unstable; urgency=low
185
186   * New upstream release, contains changes in autoconf tools:
187     - simplify debian/rules and debian/install
188     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
189
190  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
191
192 bti (020-1) unstable; urgency=low
193
194   * New upstream release:
195     - remove patch getopt.patch, included upstream
196     - remove manpage for bti-shrink-urls from debian/, included upstream
197     - upstream uses autoconf, adjust debian/rules and debian/install, remove
198       debian/manpages
199
200  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
201
202 bti (017-1) unstable; urgency=low
203
204   * New upstream release.
205   * Add build-dependency on libpcre3-dev.
206   * Refresh patch manpage-debian.patch.
207   * debian/install: add new bti-shrink-urls.
208   * debian/copyright: add information about bti-shrink-urls.
209   * Create a manpage for bti-shrink-urls.
210   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
211     target which is not easier to use than the manual installation we've been
212     using).
213   * Add a new patch getopt.patch to make the new commandline options available
214     in bti.c.
215
216  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
217
218 bti (015-1) unstable; urgency=low
219
220   * New upstream release; from the RELEASE-NOTES:
221     "--action support, bti now can output data from the twitter
222     and identica servers".
223   * Add build dependency on libxml2-dev.
224   * Refresh patch manpage-debian.patch.
225   * Set Standards-Version to 3.8.1 (no changes).
226
227  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
228
229 bti (014-1) unstable; urgency=low
230
231   * New upstream release.
232
233  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
234
235 bti (013-1) unstable; urgency=low
236
237   * New upstream release.
238   * Use dh_install instead of dh_bash-completion to install the bash
239     completion snippet in order to work around a problem on the amd64 buildd
240     (closes: #513115). Drop build dependency on bash-completion.
241
242  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
243
244 bti (012-1) unstable; urgency=low
245
246   * New upstream release.
247   * Install the new bash completion script; add bash-completion to
248     Build-Depends and Suggests.
249   * Refresh patch manpage-debian.patch.
250
251  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
252
253 bti (011-1) unstable; urgency=low
254
255   * New upstream release.
256   * Add build dependency on libreadline5-dev.
257
258  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
259
260 bti (010-1) unstable; urgency=low
261
262   * New upstream release, includes a new --proxy option and honours the
263     http_proxy environment variable (closes: #511087).
264   * Refresh patch manpage-debian.patch.
265
266  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
267
268 bti (008-1) unstable; urgency=low
269
270   * New upstream release (due to december twitter server change).
271   * Update years of packaging copyright.
272
273  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
274
275 bti (007-1) unstable; urgency=low
276
277   * New upstream release.
278
279  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
280
281 bti (006-1) unstable; urgency=low
282
283   * Initial release (Closes: #503241)
284
285  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200